Module java.desktop
Package javax.swing.plaf.basic

## Class BasicProgressBarUI.ChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicProgressBarUI.ChangeHandler

All Implemented Interfaces:
  `EventListener`, `ChangeListener`

Enclosing class:
  BasicProgressBarUI

    public class BasicProgressBarUI.ChangeHandler
    extends Object
    implements ChangeListener

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicProgressBarUI`.

### Constructor Summary

Constructors
`ChangeHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.event.ChangeListener

`stateChanged`

### Constructor Detail

#### ChangeHandler

    public ChangeHandler()